Bug 327191 - hdf tries compiling with ecc, not gcc
hdf tries compiling with ecc, not gcc
Product: Fedora
Classification: Fedora
Component: hdf (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-10 23:53 EDT by Doug Chapman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.2r2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-18 05:18:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-10-10 23:53:56 EDT
Description of problem:
I am in the process of bringing up Fedora on ia64 and the hdf package fails to
compile.  It fails in the configure stage with:

configure: error: C compiler cannot create executables
See `config.log' for more details.

For some reason it appears to be trying to use ecc for the compiler.  I added
the following to the spec file just before it calls configure:

export CC=gcc

and this resolves the problem.  Please consider making this change.

thank you,

Doug Chapman - Fedora-ia64 committee

Version-Release number of selected component (if applicable):

Comment 1 Patrice Dumas 2007-10-11 14:58:17 EDT
It seems to me that a better fix would be a 
rm config/ia64-linux-gnu
Or even 
rm  config/*linux-gnu
That way the build flags are the optflags.

My tests show that with the following %build the flags and 
compilers are set better

rm config/*linux-gnu
export FFLAGS="$RPM_OPT_FLAGS -ffixed-line-length-none"
%configure F77=gfortran --disable-production

The autoconf call is also certainly unneeded. Anyway there
is a new hdf version. Orion will you update?
Comment 2 Patrice Dumas 2007-10-16 19:27:05 EDT
Orion, is removing config/*linux-gnu ok with you?
Comment 3 Orion Poplawski 2007-10-16 22:38:54 EDT
(In reply to comment #2)
> Orion, is removing config/*linux-gnu ok with you?

If the config files don't seem to bring anything useful, it probably is best to
set the flags explicitly.  Go ahead and build the new version as well.


Note You need to log in before you can comment on or make changes to this bug.